summaryrefslogtreecommitdiffstats
path: root/network/scapy
diff options
context:
space:
mode:
Diffstat (limited to 'network/scapy')
-rw-r--r--network/scapy/README7
-rw-r--r--network/scapy/scapy.SlackBuild60
-rw-r--r--network/scapy/scapy.info8
-rw-r--r--network/scapy/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/network/scapy/README b/network/scapy/README
new file mode 100644
index 0000000000..91c46eacc6
--- /dev/null
+++ b/network/scapy/README
@@ -0,0 +1,7 @@
+Scapy is a packet generator, network scanner, network discovery tool,
+and packet sniffer. It provides classes to interactively create
+packets or sets of packets, manipulate them, send them over the wire,
+sniff other packets from the wire, match answers and replies, and more
+Interaction is provided by the Python interpreter, so Python
+programming structures can be used (such as variables, loops, and
+functions). Report modules are possible and easy to make.
diff --git a/network/scapy/scapy.SlackBuild b/network/scapy/scapy.SlackBuild
new file mode 100644
index 0000000000..af073ffff9
--- /dev/null
+++ b/network/scapy/scapy.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# Slackware build script for scapy (http://www.secdev.org/projects/scapy/)
+#
+# Copyright 2008 Corrado Franco (http://www.conraid.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=${PRGNAM:-scapy}
+VERSION=${VERSION:-2.0.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+OUTPUT=${OUTPUT:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch setup.py for man path
+sed -i "s%share/man/man1%man/man1%g" setup.py
+
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a PKG-INFO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-${BUILD}${TAG}.tgz
diff --git a/network/scapy/scapy.info b/network/scapy/scapy.info
new file mode 100644
index 0000000000..89ee7db188
--- /dev/null
+++ b/network/scapy/scapy.info
@@ -0,0 +1,8 @@
+PRGNAM="scapy"
+VERSION="2.0.1"
+HOMEPAGE="http://www.secdev.org/projects/scapy"
+DOWNLOAD="http://www.secdev.org/projects/scapy/files/scapy-2.0.1.tar.gz"
+MD5SUM="eaf09bce872c835135a8c66327f920cb"
+MAINTAINER="Corrado Franco"
+EMAIL="conraid@gmail.com"
+APPROVED="dsomero"
diff --git a/network/scapy/slack-desc b/network/scapy/slack-desc
new file mode 100644
index 0000000000..f945c9f095
--- /dev/null
+++ b/network/scapy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scapy: Scapy (interactive packet manipulation tool)
+scapy:
+scapy: Scapy is a packet generator, network scanner, network discovery tool,
+scapy: and packet sniffer. It provides classes to interactively create
+scapy: packets or sets of packets, manipulate them, send them over the wire,
+scapy: sniff other packets from the wire, match answers and replies, and more
+scapy: Interaction is provided by the Python interpreter, so Python
+scapy: programming structures can be used (such as variables, loops, and
+scapy: functions). Report modules are possible and easy to make.
+scapy:
+scapy: Home: http://www.secdev.org/projects/scapy/